Package org.apache.struts2.components.template

# Class FreemarkerTemplateEngine

java.lang.Object
org.apache.struts2.components.template.BaseTemplateEngine
org.apache.struts2.components.template.FreemarkerTemplateEngine

All Implemented Interfaces:
  `TemplateEngine`

public class FreemarkerTemplateEngine extends BaseTemplateEngine
Freemarker based template engine.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected FreemarkerManager`
  `freemarkerManager`

  ### Fields inherited from class org.apache.struts2.components.template.BaseTemplateEngine

  `DEFAULT_THEME_PROPERTIES_FILE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FreemarkerTemplateEngine()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getSuffix()`
  `void`
  `renderTemplate(TemplateRenderingContext templateContext)`
  Renders the template
  `void`
  `setFreemarkerManager(FreemarkerManager mgr)`

  ### Methods inherited from class org.apache.struts2.components.template.BaseTemplateEngine

  `getFinalTemplateName, getThemePropertiesFileName, getThemeProps`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### freemarkerManager

    protected FreemarkerManager freemarkerManager

- ## Constructor Details

  - ### FreemarkerTemplateEngine

    public FreemarkerTemplateEngine()

- ## Method Details

  - ### setFreemarkerManager

    public void setFreemarkerManager(FreemarkerManager mgr)

  - ### renderTemplate

    public void renderTemplate(TemplateRenderingContext templateContext) throws Exception
    Description copied from interface: `TemplateEngine`
    Renders the template
    Parameters:
      `templateContext` - context for the given template.
    Throws:
      `Exception` - is thrown if there is a failure when rendering.

  - ### getSuffix

    protected String getSuffix()
    Specified by:
      `getSuffix` in class `BaseTemplateEngine`